Creating a cross-chain translation
The method allows you to create a cross-chain transfer. Cross-chain transfer allows you to transfer your assets from one network to another
Header parameters
x-api-public-keystringOptional
Public API-key
x-api-signaturestringOptional
Signing the request body with a private API-key
Content-typestringOptionalExample:
Request content type
application/jsonBody
The body of the request to create a cross-chain transfer
clientIdstringOptionalExample:
Unique transaction identifier in the merchant system, to prevent duplication of creation
merchant_unique_idaddressFromIdstringRequiredExample:
Identifier of the outgoing address in the system, in the specified coin and network when creating the commission token. The specified amount will be debited from this address
bd0b179d-6ae3-4516-bd85-243a82b2a87aaddressToIdstringRequiredExample:
Identifier of the destination address in the system where the coins should be delivered
6a51948e-1457-4845-81dc-89160659a875feeTokenstringRequiredExample:
Commission Token
U2FsdGVkX1+0qvK90bLz2wDsIDgMaEeEeZ5Jb4fQAAdtxBqN7I/j6JWxNqCTJow3rIeQG/Dssm90suTXp8ixKxGe+mb6/V2IpKmKDwbcYHZ/gzB3vD/NB1diYVG6QsRRt+HRBtga8bX1kTJCtEk76bQLTn0x43IIv1Irpb3Zag6aTKOf88+zmC+R0W/9ezbpzN/JxvAWosxaL+gbhdwT5EK81Kkuxkj52za3un+TE+c=webhookUrlstringOptionalExample:
URL address for operation status notification
https://merchant.domain/webhooks/bridgeResponses
200Success
application/json
Successful response
successbooleanRequired
Request success indicator
post/api-gateway/bridge/create
POST /api-gateway/bridge/create HTTP/1.1
Host: ocp.onchainpay.io
Content-Type: application/json
Accept: */*
Content-Length: 446
{
"clientId": "merchant_unique_id",
"addressFromId": "bd0b179d-6ae3-4516-bd85-243a82b2a87a",
"addressToId": "6a51948e-1457-4845-81dc-89160659a875",
"feeToken": "U2FsdGVkX1+0qvK90bLz2wDsIDgMaEeEeZ5Jb4fQAAdtxBqN7I/j6JWxNqCTJow3rIeQG/Dssm90suTXp8ixKxGe+mb6/V2IpKmKDwbcYHZ/gzB3vD/NB1diYVG6QsRRt+HRBtga8bX1kTJCtEk76bQLTn0x43IIv1Irpb3Zag6aTKOf88+zmC+R0W/9ezbpzN/JxvAWosxaL+gbhdwT5EK81Kkuxkj52za3un+TE+c=",
"webhookUrl": "https://merchant.domain/webhooks/bridge"
}200Success
{
"success": true,
"response": {
"id": "f2ed3567-8526-4b5a-a6c7-160b235cdc70",
"clientId": "merchant_unique_id",
"currency": "USDT",
"networkFrom": "ethereum",
"networkTo": "tron",
"status": "PENDING",
"rejectMessage": null,
"amount": "200",
"amountUSD": "200",
"blockchainFee": "2",
"blockchainFeeUSD": "2.12",
"serviceFeeUSD": "0.50",
"webhookUrl": "https://merchant.domain/webhooks/bridge",
"createdAt": "2026-01-29T11:14:13.706Z"
}
}Last updated